Get Supported HRMS List
curl --request GET \
--url https://{env}.tartanhq.com/api/hrms_list/import requests
url = "https://{env}.tartanhq.com/api/hrms_list/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{env}.tartanhq.com/api/hrms_list/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"org_name": "Keka",
"hrms_code": "keka",
"required_fields": {},
"helping_docs_url": "<string>",
"logo_url": "<string>",
"deposit_switch": true,
"is_hybrid": true,
"is_international": true,
"has_salary_v2": true,
"has_data_posting": true,
"has_data_posting_ui_mapping": true
}
]Organization
Get Supported HRMS List
Returns the list of HRMS systems available for a connection or vendor organization.
GET
/
api
/
hrms_list
/
Get Supported HRMS List
Query Parameters
Either connection_id or vendor_org is required.
Either connection_id or vendor_org is required.
Response
HRMS list fetched successfully
Example:
"Keka"
Example:
"keka"
HRMS-specific onboarding field requirements. Fields listed as sensitive are marked is_masked.

